#define AMIGA 1

#include <stdio.h>

#define COLS 77
#define LINES 23

#ifdef AMIGA
#define UP_ARROW '\xc1'
#define DN_ARROW '\xc2'
#define RT_ARROW '\xc3'
#define LF_ARROW '\xc4'
#endif

#define TOP_MONTH_ROW 3
#define YEAR_ROW 16
#define YEAR_COL 12
#ifdef AMIGA
#define TIME_ROW 19
#define DURATION_ROW 20
#define DESCRIPTION_ROW 21
#define ACCEPT_ROW 22
#else
#define TIME_ROW 20
#define DURATION_ROW 21
#define DESCRIPTION_ROW 22
#define ACCEPT_ROW 23
#endif
#define LAST_YEAR_COL 75
#define DATE_COL 0
#define MONTHLY_COL 15
#define YEARLY_COL 23
#define EVERY_COL 30
#define NTH_COL 36
#define LAST_COL 41
#define SMTWTFS_COL 46
#define TIME_COL 11
#define MINUTE_COL 14
#define ACCEPT_COL 11
#define CANCEL_COL 18
#define SMONTH_COL 0
#define SDAY_COL 3
#define SYEAR_COL 6

#define MONTHS 0
#define YEARS 1
#define DAYS 2
#define SCHEDULE 3

#define MAX_DAILY_EVENTS 50

#define MAX_EVENT_STRING_LENGTH 70

#define NOTHING 0
#define ACCEPT 1
#define CANCEL 2

struct event_rec {
        char event_month;
        char event_day;
        short event_year;
        char monthly;
        char yearly;
        char every;
        char smtwtfs[7];
        char nth, last;
        char nth_is_on;
        char hour;
        char minute;
        char duration_hours;
        char duration_minutes;
        char event_string[MAX_EVENT_STRING_LENGTH];
        struct event_rec *next_event;
};

struct mdate {
        short month;
        short year;
};
